BrowseAllow required in cups-browsed.conf for CUPS browsing

Bug #1163764 reported by Jonas Bonn on 2013-04-03
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
cups-filters (Ubuntu)
Undecided
Unassigned

Bug Description

Without the BrowseAllow option being set, the message "browse packaget from IPADDR disallowed" is displayed for every received packet. That this option needs to be set should be documented somewhere and an example of how to set it needs to be provided.

Even better, I think, would be to allow _all_ by default... not totally sure if this is kosher, but it seems a sane default given that DNSSD essentially does this, too.

ProblemType: Bug
DistroRelease: Ubuntu 13.04
Package: cups-browsed 1.0.31-0ubuntu2
ProcVersionSignature: Ubuntu 3.8.0-13.23-generic 3.8.3
Uname: Linux 3.8.0-13-generic x86_64
ApportVersion: 2.9.2-0ubuntu5
Architecture: amd64
CupsErrorLog: Error: [Errno 13] Permission denied: '/var/log/cups/error_log'
CurrentDmesg: Error: command ['sh', '-c', 'dmesg | comm -13 --nocheck-order /var/log/dmesg -'] failed with exit code 1: comm: /var/log/dmesg: Permission denied
Date: Wed Apr 3 10:13:53 2013
Lpstat:
 device for farglaser: ipp://192.168.16.2:631/printers/farglaser
 device for <email address hidden>: ipp://192.168.16.2:631/printers/farglaser
 device for label: ipp://192.168.16.2:631/printers/label
 device for <email address hidden>: ipp://192.168.16.2:631/printers/label
MachineType: System manufacturer System Product Name
MarkForUpload: True
Papersize: a4
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.8.0-13-generic root=/dev/mapper/hostname-raring_root ro quiet splash
SourcePackage: cups-filters
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 05/03/2011
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 1607
dmi.board.asset.tag: To be filled by O.E.M.
dmi.board.name: P8H67-M EVO
dmi.board.vendor: ASUSTeK Computer INC.
dmi.board.version: Rev 1.xx
dmi.chassis.asset.tag: Asset-1234567890
dmi.chassis.type: 3
dmi.chassis.vendor: Chassis Manufacture
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr1607:bd05/03/2011:svnSystemmanufacturer:pnSystemProductName:pvrSystemVersion:rvnASUSTeKComputerINC.:rnP8H67-MEVO:rvrRev1.xx:cvnChassisManufacture:ct3:cvrChassisVersion:
dmi.product.name: System Product Name
dmi.product.version: System Version
dmi.sys.vendor: System manufacturer

Jonas Bonn (jonas.bonn) wrote :
Changed in cups-filters (Ubuntu):
status: New → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cups-filters - 1.0.33-0ubuntu1

---------------
cups-filters (1.0.33-0ubuntu1) raring; urgency=low

  * New upstream bug fix release
     - cups-browsed: Added NULL check (Upstream bug #1106).

cups-filters (1.0.32-1) experimental; urgency=low

  * New upstream bug fix release
     - cups-browsed: Shared algorithm to generate local queues based on
       browsed remote queue data between Bonjour and CUPS browsing, as the
       simpler method used for CUPS browsing could overwrite local print
       queues and had de-duplication problems, for example if the server
       appears on two IPs in the network (connected by both ethernet and
       WLAN).
     - cups-browsed: CUPS broadcasting also broadcasted non-shared,
       especially cups-browsed-generated printers. Switched to detection
       of non-shared printers by the appropriate bit in the printer-type
       bit field IPP attribute.
     - cups-browsed: Made CUPS broadcasting work also without BrowseAllow
       lines in cups-browsed.conf. In this case we accept all remote
       printers (LP: #1163764).
     - README: Updated documentation for cups-browsed.
     - Added more comments and examples to /etc/cups/cups-browsed.conf.
     - cups-browsed: Added support for "...:<port>" extensions of
       BrowsePoll addresses. Thanks to Tim Waugh from Red Hat
       (LP: #1159213).

  [ Till Kamppeter ]
  * Let cups-browsed overtake browsing-related directives from
    /etc/cups/cupsd.conf into /etc/cups/cups-browsed.conf. Comment out
    directives which introduce CUPS broadcasting/browsing so that users
    use this deprecated method only if absolutely necessary. Add
    comments to tell the user about how to use the added lines.
    (LP: #1159213)

  [ Didier Raboud ]
  * Use the new fonts-freefont-ttf package name
  * Add simple cups-browsed init script (Closes: #700929)
 -- Till Kamppeter <email address hidden> Thu, 04 Apr 2013 17:33:06 +0200

Changed in cups-filters (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers